/*
    Copyright 2009 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.

*/

#include "valuemeter.h"
#include "valuemeter.moc"

#include <QtCore/QTimer>
#include <QtCore/QDebug>
#include <QtGui/QFormLayout>
#include <QtGui/QLCDNumber>

ValueMeters::ValueMeters( QWidget* p ) : QWidget( p ), _timer( new QTimer( this ) ), _layout( new QFormLayout( this ) ) {
	setObjectName( "Countrate Meters" );
	_timer->setInterval( 5 * 1000 );
	connect( _timer, SIGNAL( timeout() ), this, SLOT( logTimeout() ) );
	_timer->start();
}
ValueMeters::~ValueMeters() {
}

void ValueMeters::logTimeout() {
	//qDebug() << "ValueMeters::logTimeout()";
	logvalues_t values = getLogValues();
	foreach ( QString k, values.keys() ) {
		if ( ! _widgets.contains( k ) ) {
			QLCDNumber* w = new QLCDNumber( 7, this );
			w->setSegmentStyle( QLCDNumber::Flat );
			_widgets[k] = w;
			_layout->addRow( k, w );
		}
		_widgets[k]->display( int( values[k] ) );
	}
}

